Questions about Slash'em on Pocket PC

  • Jarda

    Could anybody help me with installing Slash'em on Pocket PC (PPC ARM)?
    I could compile the source for Win XP using MinGW without problems, but I don't have the Visual C++ and Embedded C++, which are needed according to the instructions.
    Did anybody succeed using some other way? Does anybody have or know about a downloadable binary or setup for Windows CE compiled? Does the development team plan to post the Pocket PC version? Or can the released NetHack for Pocket PC be patched in some way to Slash'em?
    (I would love to have the Slash'em Vampire with the original tile graphics on Pocket PC, but for now any would do.)
    I would be grateful for any answer. Thanks.

    • J. Ali Harlow
      J. Ali Harlow

      I don't think any of the Slash'EM dev-team uses a Pocket PC. The instructions for Pocket PC are simply as provided with vanilla NetHack and are completely untested by us. You might try asking on somewhere like to see if anyone has experience with compiling NetHack for Pocket PC and would be able to advise you.

    • Jarda

      Thank you. And anyway thanks you all for this game. I'll keep trying...:)

    • Doug724

      I would also like to show my interest in a Pocket PC version of Slash'EM.
      I did try posting on but so far no one has been able to help. I did try to do it myself but as I failed very quickly, with Visual Studio .net being unable to even open the project file reporting that it was corrupt, also the fact that I have basically no c++ compiling experinace and was only following the vanilla NetHack instructions no doubt contributed to my fast failure.
      If anyone on these forums could compile a PPC version then I would be more than happy to test it, however I understand this is pretty unlikely.
      If anyone has a vague idea why my Vis c++ sees the files as corrupt then that could also be a help (just rember I'm very new to this ;)

    • Dave

      I too am interested in a Slash'EM version for my Dell Axim
      I also know nothing about C++
      From what I've read I thought you had to have visual studio 6?